#define MYFS_SUCCESS            0
#define MYFS_DISK_FULL          (-1)
#define MYFS_FILE_NOT_FOUND     (-2)
#define MYFS_FILE_EXISTS        (-3)
#define MYFS_BUFFER_TOO_SMALL   (-4)
#define MYFS_DISK_FAILURE       (-5)

int myfs_read_file(const char filename[11], char buffer[], int buffer_size, int *file_size);

int myfs_write_file(const char filename[11], const char buffer[], int file_size);

int myfs_delete_file(const char filename[11]);

int myfs_read_sector(char buffer[512], int sector_number);

int myfs_write_sector(const char buffer[512], int sector_number);
